jQuery(document).ready(function (){
    //*******************************responsive blog on home page
    

    // jQuery(".blog-content").width(function(i,val){
    //     var widthsBlock = val;
    //     if(widthsBlock >=668) {
    //         var widthsItem = widthsBlock/2;
    //          if(jQuery(".first-post")) {
    //             jQuery(".first-post").css({"width":widthsItem,"left": 0})
    //         }
    //          if(jQuery(".second-post")) {
    //             jQuery(".second-post").css({"width":widthsItem,"left": widthsItem})
    //         }
    //     } else if(widthsBlock >=414) {
    //         var widthsItem = widthsBlock;
    //          if(jQuery(".first-post")) {
    //             jQuery(".first-post").css({"width":widthsItem,"left": 0})
    //         }
    //          if(jQuery(".second-post")) {
    //             jQuery(".second-post").css({"width":widthsItem,"left": 0})
    //         }
    //     }else {
    //         var widthsItem = widthsBlock;
    //         if(jQuery(".first-post")) {
    //             jQuery(".first-post").css({"width":widthsItem,"left": 0})
    //         }
    //          if(jQuery(".second-post")) {
    //             jQuery(".second-post").css({"width":widthsItem,"left": 0})
    //         }
    //     }
    // });
});


jQuery('.top-up').attr('href','#home-content');
jQuery(window).scroll(function(){
    if(jQuery(window).scrollTop() >= 20) {
     jQuery('.go-bottom').addClass('go-top-fixed');
     jQuery('.top-up').attr('href','#');
    } else {
     jQuery('.go-bottom').removeClass('go-top-fixed');
     jQuery('.top-up').attr('href','#home-content');
   }
});


( function( $ ) {


    $(document).ready(function() {

        $("a[href^='#']").click(function(){
        var el = $(this).attr("href");
        $("html,body").animate({
            scrollTop: $(el).offset().top}, 1000);
        return false;
        });



        // $(".products-list").width(function(i,val){
            
        //     var widthBlock = val;
        //     var numColumn = <?php echo esc_attr(get_theme_mod( 'ospersonality_products_column', '4' )); ?>;

        //     var lenghtItem = $(".products-list .product-item").length;

        //     var itemHeight = $(".product-item").outerHeight();
        //     //console.log($(".product-item").outerHeight());
        //     if(widthBlock >=668) {
                
        //         var widthItem = widthBlock/numColumn;
        //          $(".product-item").css({"width":widthItem});
        //          $(".products-list").css({"height":lenghtItem/numColumn*itemHeight});
                 

        //     } else if(widthBlock >=414) {
                
        //     }else {
               
        //     }
        // });



    });

} )( jQuery );